Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Interface PlaceableDefinition

All Known Implementing Classes:
  BookDefinition, PortletDefinition

    public interface PlaceableDefinition

Represents entities that may be placed on other entities. E.g. Books and Portlets.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`String` | `getDefinitionLabel()` Returns the definition label associated with this `PlaceableDefinition`.
`String` | `getDescription()` Returns the description associated with this `PlaceableDefinition`.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this placeable based on the locale of the request used for retrieving the menu.
`PlaceableDefinitionId` | `getPlaceableDefinitionId()` Returns a `PlaceableDefinitionId` associated with this `PlaceableDefinition`.
`String` | `getTitle()` Returns the title associated with this `PlaceableDefinition`.
`String` | `getWebAppName()` Returns the name of the J2EE web application this `PlaceableDefinition` is scoped to.

Method Detail

### getPlaceableDefinitionId

    PlaceableDefinitionId getPlaceableDefinitionId()

  Returns a `PlaceableDefinitionId` associated with this `PlaceableDefinition`. May return null if the `PlaceableDefinition` has not been retrieved using the persistence API

  Returns
    `PlaceableDefinitionId`

### getLocalizationResource

    LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this placeable based on the locale of the request used for retrieving the menu.

  Returns
    `LocalizationResource` associated with this placeable

### getDefinitionLabel

    String getDefinitionLabel()

  Returns the definition label associated with this `PlaceableDefinition`.

  Returns
    definition label

### getTitle

    String getTitle()

  Returns the title associated with this `PlaceableDefinition`.

  Returns
    title

### getDescription

    String getDescription()

  Returns the description associated with this `PlaceableDefinition`.

  Returns
    description

### getWebAppName

    String getWebAppName()

  Returns the name of the J2EE web application this `PlaceableDefinition` is scoped to.

  Returns
    web application name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved